
// MFCApplication1Dlg.h: 头文件
//

#pragma once

#define WM_SHOWINFO (WM_USER+0x1)
#define WM_SHOWSCANINFO (WM_USER+0x2)
#define WM_PROCESS (WM_USER+0x3)
// CMFCApplication1Dlg 对话框
class CMFCApplication1Dlg : public CDialogEx
{
// 构造
public:
	CMFCApplication1Dlg(CWnd* pParent = nullptr);	// 标准构造函数

// 对话框数据
#ifdef AFX_DESIGN_TIME
	enum { IDD = IDD_MFCAPPLICATION1_DIALOG };
#endif

	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV 支持


// 实现
protected:
	HICON m_hIcon;

	// 生成的消息映射函数
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg LRESULT OnShowInfo(WPARAM  wParam, LPARAM  lParam);
	afx_msg LRESULT OnShowScanInfo(WPARAM  wParam, LPARAM  lParam);
	afx_msg LRESULT OnProcessInfo(WPARAM  wParam, LPARAM  lParam);
	DECLARE_MESSAGE_MAP()
public:
	afx_msg void OnBnClickedOk();
	CString m_strMsg;
	CString m_strScanMsg;
	void UpdateMsg(CString strMsg);
	void UpdateScanMsg(CString strMsg);
	afx_msg void OnBnClickedCancel();

	void SelectFolder(HWND hwnd, CString& lpszFolder);
	void SelectFile(CString& lpszFile);
	afx_msg void OnBnClickedBtnTxt();
	afx_msg void OnBnClickedBtnPdf();
	
	CString m_strTextPath;
	CString m_strPdfDir;

	CString m_strModePath;
	CString m_strImgPath;
	CString m_strCutPath;

	afx_msg void OnBnClickedBtnModepath();
	afx_msg void OnBnClickedBtnImgpath();
	afx_msg void OnBnClickedBtnCutpath();
	afx_msg void OnBnClickedBtnScan();
	void FormatScanMsg(const char * szFmt, ...);
};
